C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     KSM_GET_NSYM       **
C****************************
C
CD-Routine: Get Number of Symmetry Operators - KSM_GET_NSYM
C This routine returns the number of symmetry operators or 0 if no symmetry
C has been defined. This provides the simplest way of determining whether
C the symmetry has been defined.         
CD-end
CD-Fortran:
      SUBROUTINE KSM_GET_NSYM (NSYMM, IFLAG)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: See if symmetry data was defined
C
C Author:  John W. Campbell, July 1995 (from LDM_GET_SYMM)
C
C Arguments:
C
      INTEGER NSYMM
      INTEGER IFLAG

CD-Parameters:
C  NSYMM    i (W)   Total number of symmetry operators (0 if symmetry not
C                   defined)
C  IFLAG    i (W)   Flag =  0 default (undefined) value
C                        =  1 value set explicitly
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ksm_data.finc'
      EXTERNAL KSM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      NSYMM = NSYM
      IFLAG = IS_SYMM
      RETURN
      END
